Subject: Re: linux-next: Tree for Jan 26 (gpu/drm/i915/)

From: Jani Nikula <[email-masked]>
Date: Mon, 29 Jan 2018 10:45:06 +0200

On Fri, 26 Jan 2018, Randy Dunlap <[email-masked]> wrote:
> On 01/25/2018 06:58 PM, Stephen Rothwell wrote:
>> Hi all,
>> 
>> Changes since 20180119:
>> 
>
> on x86_64:
> drivers/gpu/drm/i915/intel_panel.o: In function `intel_backlight_device_register':
> intel_panel.c:(.text+0x28d4): undefined reference to `backlight_device_register'
> drivers/gpu/drm/i915/intel_panel.o: In function `intel_backlight_device_unregister':
> intel_panel.c:(.text+0x2991): undefined reference to `backlight_device_unregister'
>
> when CONFIG_BACKLIGHT_CLASS_DEVICE=m
> and CONFIG_DRM_I915=y

I don't deny there's an issue with i915 selecting
CONFIG_BACKLIGHT_CLASS_DEVICE. I'm afraid previous attempts at fixing
that have been a rabbit hole; new config errors pop up
elsewhere. [citation needed].

That said, I thought we had enough duct tape in the Kconfig to keep the
issues at bay. Since you're replying to linux-next, are you saying this
is new? I wonder if something's changed elsewhere.

BR,
Jani.

-- 
Jani Nikula, Intel Open Source Technology Center